Groovy Documentation

## groovy.jmx.builder
[Groovy] Class JmxServerConnectorFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.jmx.builder.JmxServerConnectorFactory

    class JmxServerConnectorFactory
    extends AbstractFactory

This is the server connector factory used for node JmxBuilder.connectorServer(). A call to this node returns an instance of JMXConnectorServer interface (rmi default).

Possible syntax

        JmxBuilder.connectorServer(
            protocol:"rmi",
            host:"...",
            port:1099,
            url:"...",
            properties:[
                "authenticate":true|false,
                "passwordFile":"...",
                "accessFile":"...",
                "sslEnabled" : true | false
             ...
            ]
         )

Authors:
  Vladimir Vivien

See Also:

Method Summary
`boolean` | `isLeaf()`
`java.lang.Object` | `newInstance(FactoryBuilderSupport builder, java.lang.Object nodeName, java.lang.Object nodeArgs, java.util.Map nodeAttribs)`
`boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map nodeAttribs)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, java.lang.Object parentNode, java.lang.Object thisNode)`

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### isLeaf

    boolean isLeaf()

### newInstance

    java.lang.Object newInstance(FactoryBuilderSupport builder, java.lang.Object nodeName, java.lang.Object nodeArgs, java.util.Map nodeAttribs)

### onHandleNodeAttributes

    boolean onHandleNodeAttributes(FactoryBuilderSupport builder, java.lang.Object node, java.util.Map nodeAttribs)

### onNodeCompleted

    void onNodeCompleted(FactoryBuilderSupport builder, java.lang.Object parentNode, java.lang.Object thisNode)

Groovy Documentation